Eclipse Platform Release 3.7

## org.eclipse.ltk.ui.refactoring.history
Interface IRefactoringHistoryControl

All Known Subinterfaces:
  ISortableRefactoringHistoryControl

    public interface IRefactoringHistoryControl

Control which is capable of displaying parts of a refactoring history.

Clients of this interface should call `createControl` before calling `setInput`.

An instanceof of a refactoring history control may be obtained by calling `RefactoringUI.createRefactoringHistoryControl(org.eclipse.swt.widgets.Composite, RefactoringHistoryControlConfiguration)`.

Note: this interface is not intended to be implemented by clients.

Since:
  3.2
See Also:
  `RefactoringHistoryControlConfiguration`, `RefactoringHistoryContentProvider`, `RefactoringHistoryLabelProvider`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`void` `addCheckStateListener(ICheckStateListener listener)` Registers the specified check state listener with this control.
`void` `addSelectionChangedListener(ISelectionChangedListener listener)` Registers the specified selection changed listener with this control.
`void` `createControl()` Creates the refactoring history control.
`RefactoringDescriptorProxy[]` `getCheckedDescriptors()` Returns the checked refactoring descriptors.
`Control` `getControl()` Returns the SWT control of this refactoring history control.
`RefactoringDescriptorProxy[]` `getSelectedDescriptors()` Returns the selected refactoring descriptors.
`void` `removeCheckStateListener(ICheckStateListener listener)` Unregisters the specified check state listener with this control.
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)` Unregisters the specified selection changed listener with this control.
`void` `setCheckedDescriptors(RefactoringDescriptorProxy[] descriptors)` Sets the checked refactoring descriptors.
`void` `setInput(RefactoringHistory history)` Sets the refactoring history of this control.
`void` `setSelectedDescriptors(RefactoringDescriptorProxy[] descriptors)` Sets the selected refactoring descriptors.

Method Detail

### addCheckStateListener

    void addCheckStateListener(ICheckStateListener listener)

  Registers the specified check state listener with this control.

  If the listener is already registered with the control, or the control has no checkable viewer or has not yet been created, nothing happens.

  Parameters:
    `listener` - the listener to register

### addSelectionChangedListener

    void addSelectionChangedListener(ISelectionChangedListener listener)

  Registers the specified selection changed listener with this control.

  If the listener is already registered with the control or has not yet been created, nothing happens.

  Parameters:
    `listener` - the listener to register

### createControl

    void createControl()

  Creates the refactoring history control.

  This method creates the necessary widgets and initializes the refactoring history control. It is called only once. Method `getControl()` should be used to retrieve the widget hierarchy.

  See Also:
    `getControl()`

### getCheckedDescriptors

    RefactoringDescriptorProxy[] getCheckedDescriptors()

  Returns the checked refactoring descriptors.

  In case the refactoring history control is created with a non-checkable tree viewer, this method is equivalent to `getSelectedDescriptors()`.

  Returns:
    the selected refactoring descriptors, or an empty array.
  See Also:
    `getSelectedDescriptors()`, `RefactoringHistoryControlConfiguration.isCheckableViewer()`

### getControl

    Control getControl()

  Returns the SWT control of this refactoring history control.

  Returns:
    the SWT control, or `null` if the control's widget hierarchy has not yet been created

### getSelectedDescriptors

    RefactoringDescriptorProxy[] getSelectedDescriptors()

  Returns the selected refactoring descriptors.

  Returns:
    the selected refactoring descriptors, or an empty array.

### removeCheckStateListener

    void removeCheckStateListener(ICheckStateListener listener)

  Unregisters the specified check state listener with this control.

  If the listener is not registered with this control, nothing happens.

  Parameters:
    `listener` - the listener to unregister

### removeSelectionChangedListener

    void removeSelectionChangedListener(ISelectionChangedListener listener)

  Unregisters the specified selection changed listener with this control.

  If the listener is not registered with this control, nothing happens.

  Parameters:
    `listener` - the listener to unregister

### setCheckedDescriptors

    void setCheckedDescriptors(RefactoringDescriptorProxy[] descriptors)

  Sets the checked refactoring descriptors.

  In case the refactoring history control is created with a non-checkable tree viewer, this method is equivalent to `setSelectedDescriptors(RefactoringDescriptorProxy[])`.

  Parameters:
    `descriptors` - the refactoring descriptors to check, or an empty array
  See Also:
    `setSelectedDescriptors(RefactoringDescriptorProxy[])`, `RefactoringHistoryControlConfiguration.isCheckableViewer()`

### setInput

    void setInput(RefactoringHistory history)

  Sets the refactoring history of this control.

  Parameters:
    `history` - the refactoring history, or `null` to clear the viewer input

### setSelectedDescriptors

    void setSelectedDescriptors(RefactoringDescriptorProxy[] descriptors)

  Sets the selected refactoring descriptors.

  Parameters:
    `descriptors` - the refactoring descriptors to select, or an empty array

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.